import axios from '@/common/services/axios-instance'

class SecurityService {
  // 安全设置--获取基础配置信息
  getSecurityInfo() {
    return axios({
      method: 'get',
      url: `api/xcoa-mobile/v1/securitySetting/auto-logout/get`,
    })
  }

  // 安全访问--保存
  saveSettings(params) {
    return axios({
      url: `/api/xcoa-mobile/v1/page/handleData`,
      method: 'post',
      data: params,
    }).then((res) => {
      return res
    })
  }
}

export default new SecurityService()
